import { FormControl as F } from "@vue-interface/form-control";
import { defineComponent as y, resolveComponent as m, resolveDirective as g, openBlock as a, createElementBlock as f, normalizeClass as c, withDirectives as B, createElementVNode as l, mergeProps as V, vModelCheckbox as E, renderSlot as r, createTextVNode as p, toDisplayString as n, normalizeProps as u, guardReactiveProps as b, createBlock as N, withCtx as k, createCommentVNode as v, createVNode as S } from "vue";
const D = y({
  name: "CheckboxField",
  extends: F,
  props: {
    /**
     * The checked values
     *
     * @property String
     */
    checked: Boolean,
    /**
     * Add form-group wrapper to input.
     */
    group: {
      type: Boolean,
      default: !1
    },
    /**
     * The checked values.
     *
     * @property any
     */
    value: {
      default: void 0
    },
    /**
     * The class name assigned to the control element
     *
     * @property String
     */
    formControlClass: {
      type: String,
      default: "form-check-input"
    },
    /**
     * Display the form field and label inline
     *
     * @property Function
     */
    inline: Boolean,
    /**
     * The default label class assigned to the label element.
     */
    labelClass: {
      type: [Object, String],
      default: "form-check-label"
    }
  },
  // data: () => ({
  //     checkedValues: []
  // }),
  computed: {
    inlineClass() {
      return this.inline && "form-check-inline";
    }
  }
}), P = (e, s) => {
  const t = e.__vccOpts || e;
  for (const [i, d] of s)
    t[i] = d;
  return t;
}, T = ["id", "value"], w = ["for"], z = {
  invalid: "",
  class: "invalid-feedback"
}, O = /* @__PURE__ */ l("br", null, null, -1), j = {
  valid: "",
  class: "valid-feedback"
};
function A(e, s, t, i, d, G) {
  const h = m("FormControlErrors"), C = m("FormControlFeedback"), $ = g("bind-events");
  return a(), f("div", {
    class: c(["form-check", { [e.inlineClass]: e.inline, ...e.formGroupClasses }])
  }, [
    B(l("input", V({
      id: e.id,
      ref: "field",
      "onUpdate:modelValue": s[0] || (s[0] = (o) => e.model = o)
    }, e.controlAttributes, {
      value: e.value,
      type: "checkbox"
    }), null, 16, T), [
      [E, e.model],
      [$]
    ]),
    r(e.$slots, "label", {}, () => [
      l("label", {
        ref: "label",
        class: c({ [e.labelClass]: !0 }),
        for: e.id
      }, [
        r(e.$slots, "default", {}, () => [
          p(n(e.label), 1)
        ])
      ], 10, w)
    ]),
    r(e.$slots, "errors", u(b({ error: e.error, errors: e.errors, id: e.$attrs.id, name: e.$attrs.name })), () => [
      e.error || e.errors ? (a(), N(h, {
        key: 0,
        id: e.$attrs.id,
        name: e.$attrs.name,
        error: e.error,
        errors: e.errors
      }, {
        default: k(({ error: o }) => [
          l("div", z, [
            p(n(o), 1),
            O
          ])
        ]),
        _: 1
      }, 8, ["id", "name", "error", "errors"])) : v("", !0)
    ]),
    r(e.$slots, "feedback", u(b({ feedback: e.feedback })), () => [
      S(C, { feedback: e.feedback }, {
        default: k(({ feedback: o }) => [
          l("div", j, n(o), 1)
        ]),
        _: 1
      }, 8, ["feedback"])
    ]),
    r(e.$slots, "help", {}, () => [
      e.helpText ? (a(), f("small", {
        key: 0,
        ref: "help"
      }, n(e.helpText), 513)) : v("", !0)
    ])
  ], 2);
}
const U = /* @__PURE__ */ P(D, [["render", A]]);
export {
  U as CheckboxField
};
//# sourceMappingURL=checkbox-field.js.map
